/*
 * Universidade Federal de Pernambuco - UFPE
 * Centro de Informtica - CIn
 * Centro Integrado de Tecnologia da Informao - CITi
 * Curso de C/C++
 * Autor: Allan Lima - http://allanlima.wordpress.com/
 * Instrutor: Luiz Felipe Sotero (lfss@cin.ufpe.br)
 *
 * exemploAlocacaoDinamica2.c - Mostra como utilizar a funo calloc
 */

#include <stdio.h>
#include <stdlib.h>

//Variveis globais
char **nomes;
int proximo = 0;
int tamanho = 0;

void inserir(char *novoNome) {
	if (proximo == tamanho) {
		tamanho = tamanho * 2;
		nomes = realloc(nomes, tamanho * sizeof(char *));
	}

	nomes[proximo] = novoNome;
	proximo++;
}

void alocar(int t) {
	nomes = calloc(t, sizeof(char *));
	tamanho = t;
}

void liberar() {
	free(nomes);
}
/*
int main() {
	int i = 0;

	alocar(3);

	inserir("Eu");
	inserir("Tu");
	inserir("Eles");
	inserir("Nos");
	inserir("Vos");
	inserir("Eles");

	for (i = 0; i < proximo; i++) {
		printf("%s\n", nomes[i]);
	}

	liberar();

	return 0;
}*/
